## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLAggregateFunction

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction

All Known Implementing Classes:
  XMLAggregateFunctionImpl

    public interface XMLAggregateFunction

extends ValueExpressionFunction

A representation of the model object 'XML Aggregate Function'. Specifies a value computed from a collection of rows. See ISO SQL/XML sec. 11.2. The <XML value expression> clause is handled by the parameterList relationship in ValueExpressionFunction, but is restricted to a single element in this case.

The following features are supported:

- `Returning Option`
- `Sort Spec List`

See Also:
  `SQLXMLQueryModelPackage.getXMLAggregateFunction()`

Method Summary
`XMLReturningType` `getReturningOption()` Returns the value of the 'Returning Option' attribute.
`EList` `getSortSpecList()` Returns the value of the 'Sort Spec List' containment reference list.
`void` `setReturningOption(XMLReturningType value)` Sets the value of the '`Returning Option`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getReturningOption

    XMLReturningType getReturningOption()

  Returns the value of the 'Returning Option' attribute. The literals are from the enumeration `XMLReturningType`.

  If the meaning of the 'Returning Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `setReturningOption(XMLReturningType)`, `SQLXMLQueryModelPackage.getXMLAggregateFunction_ReturningOption()`

### setReturningOption

    void setReturningOption(XMLReturningType value)

  Sets the value of the '`Returning Option`' attribute.

  Parameters:
    `value` - the new value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `getReturningOption()`

### getSortSpecList

    EList getSortSpecList()

  Returns the value of the 'Sort Spec List' containment reference list. The list contents are of type `XMLAggregateSortSpecification`. It is bidirectional and its opposite is '`Aggregate Function`'.

  If the meaning of the 'Sort Spec List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sort Spec List' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLAggregateFunction_SortSpecList()`, `XMLAggregateSortSpecification.getAggregateFunction()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.